> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read all transactions

> This endpoint reads all transactions.



## OpenAPI

````yaml /openapi/api-production.yaml get /transactions
openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumx API
  description: >-
    A cross-border banking API with instant settlements and unmatched liquidity,
    powered by stablecoins.
servers:
  - url: https://api.lumx.io
  - url: https://api-sandbox.lumx.io
security: []
paths:
  /transactions:
    get:
      tags:
        - Transactions
      summary: Read all transactions
      description: This endpoint reads all transactions.
      parameters:
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          description: Number of transactions to return per page.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: >-
            Cursor for pagination. Use the nextCursor or previousCursor from the
            previous response to get the next or previous page.
        - name: customerId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Filter transactions by customer's unique identifier.
          example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
      responses:
        '200':
          description: Resources successfully retrieved.
          content:
            application/json:
              examples:
                PIX:
                  value:
                    data:
                      - id: 123e4567-e89b-12d3-a456-426614174000
                        type: ON_RAMP
                        request:
                          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                          rail: PIX
                          sourceCurrency: BRL
                          sourceAmount: '10000.00'
                          targetCurrency: USDC
                          purpose: PERSONAL_ACCOUNT
                        state:
                          status: AWAITING_FUNDS
                          payment:
                            rail: PIX
                            brCode: >-
                              00020126580014br.gov.bcb.PIX0136123e4567-e89b-12d3-a456-4266141740005204000053039865802BR5915Test
                              Merchant6009Sao Paulo62070503***63041234
                        metadata: {}
                        createdAt: '2024-03-20T15:30:00Z'
                        updatedAt: '2024-03-20T15:30:05Z'
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: An array containing all transactions.
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Transaction's unique identifier.
                          example: 123e4567-e89b-12d3-a456-426614174000
                        type:
                          type: string
                          description: Transaction's type.
                          enum:
                            - ON_RAMP
                            - OFF_RAMP
                            - TRANSFER
                        request:
                          type: object
                          description: Transaction's request.
                        state:
                          type: object
                          description: Transaction's current state.
                        createdAt:
                          type: string
                          format: date-time
                          description: Creation date and time (UTC).
                        updatedAt:
                          type: string
                          format: date-time
                          description: Last update date and time (UTC).
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Bearer authentication header on the format `Bearer <API_KEY>`.

````